Package org.codehaus.groovy.control.customizers.builder

# Class SourceAwareCustomizerFactory.SourceOptions

java.lang.Object
org.codehaus.groovy.control.customizers.builder.SourceAwareCustomizerFactory.SourceOptions

Enclosing class:
  `SourceAwareCustomizerFactory`

public static class SourceAwareCustomizerFactory.SourceOptions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`basename`
`List<String>`
`basenames`
`Closure<Boolean>`
`basenameValidator`
`Closure<Boolean>`
`classValidator`
`CompilationCustomizer`
`delegate`
`String`
`extension`
`List<String>`
`extensions`
`Closure<Boolean>`
`extensionValidator`
`Closure<Boolean>`
`unitValidator`

## Constructor Summary

Constructors
Constructor
Description
`SourceOptions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### delegate

public CompilationCustomizer delegate

### extensionValidator

public Closure<Boolean> extensionValidator

### unitValidator

public Closure<Boolean> unitValidator

### basenameValidator

public Closure<Boolean> basenameValidator

### classValidator

public Closure<Boolean> classValidator

### extension

public String extension

### basename

public String basename

### extensions

public List<String> extensions

### basenames

public List<String> basenames

## Constructor Details

### SourceOptions

public SourceOptions()